LSLOCKS(8)

BEZEICHNUNG
lslocks - lokale Systemsperren auflisten

ÜBERSICHT

lslocks [Optionen]

BESCHREIBUNG

lslocks zeigt Informationen zu allen aktuell gültigen Dateisperren auf einem Linux-System an.

OPTIONEN

-b, --bytes
    gibt die Größe in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden Größen in Einheiten angezeigt, die Potenzen von 1024 Bytes sind. Die formalen Abkürzungen für diese Einheiten (KiB, MiB, GiB usw.) werden weiter auf den Anfangsbuchstaben verkürzt: K, M, G usw.

-H, --list-columns
    listet die Spalten auf,die mit der Option --output angegeben werden können. Wenn Sie dies zusammen mit --json oder --raw verwenden, wird die Liste in einem maschinenlesbaren Format angezeigt.

-i, --noinaccessible
    Sperrdateien ignorieren, auf die der aktuelle Benutzer nicht zugreifen kann.

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

    Die voreingestellte Liste der Spalten kann erweitert werden, indem Sie die Liste im Format +Liste angeben (beispielsweise lslocks -o +BLOCKER).

--output-all
    gibt alle verfügbaren Spalten aus.

-p, --pid PID
    zeigt nur die Sperren an, die vom Prozess mit dieser Prozesskennung eingerichtet wurden.

-Q, --filter Ausdruck
    gibt nur die Sperren an, die den durch den Ausdruck angegebenen Bedingungen entsprechen.

    Dieses Funktionsmerkmal ist EXPERIMENTELL. Siehe auch scols-filter(5). Wenn Sie zum Beispiel POSIX-Sperren ausschließen, aber alle Sperren im Lesemodus für Dateien mit der Erweiterung .qcow2 ausgeben wollen:

        lslocks --filter 'TYPE != "POSIX" and MODE == "READ" and PATH =~ ".*\.qcow2"'

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-u, --notruncate
    kürzt den Text in Spalten nicht.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen.

AUSGABE

BEFEHL
    Befehlsname des Prozesses, welcher die Sperre eingerichtet hat

PID
    Die Prozess-ID des Prozesses.

TYP
    Typ der Sperre; kann LEASE sein (erzeugt mit fcntl(2)), FLOCK (erzeugt mit flock(2)), POSIX (erzeugt mit fcntl(2) und lockf(3)) oder OFDLCK (erzeugt mit fcntl(2)).

GRÖSSE
    Größe der gesperrten Datei

INODE
    Inode-Nummer.

MAJ:MIN
    Die MAJOR:MINOR-Gerätenummer.

MODUS
    Zugriffsrechte der Sperre (Schreiben, Lesen). Falls der Prozess blockiert ist und auf die Sperre wartet, dann wird dem Modus ein Asterisk (*) angehängt.

M
    gibt an, ob die Sperre obligatorisch ist; 0 bedeutet nein (Sperre ist nur empfohlen), 1 bedeutet ja (siehe fcntl(2)).

START
    relativer Byte-Versatz der Sperre

END
    End-Versatz der Sperre

PATH
    Vollständiger Pfad der Sperre. Wenn keiner gefunden wird oder die Zugriffsrechte zum Lesen des Pfades fehlen, wird der Einhängepunkt des Gerätes angezeigt und "..." an den Pfad angehängt. Der Pfad kann gekürzt sein; verwenden Sie --notruncate, um den vollständigen Pfad ausgeben zu lassen.

BLOCKER
    PID des Prozesses, welcher die Sperre blockiert

HOLDERS
    Der oder die Halter der Sperre. Das Format des Halters ist PID,BEFEHL,DATEIDESKRIPTOR. Falls eine Sperre an Dateideskriptoren orientierte Sperre ist, kann sie mehr als einen Halter haben. Siehe ANMERKUNGEN weiter unten.

UMGEBUNGSVARIABLEN

LSLOCKS_COLUMNS=
    gibt eine durch Kommas getrennte Liste der auszugebenden Spalten an. Alle durch --list-columns aufgeführten Spalten können verwendet werden.

ANMERKUNGEN

Der Befehl lslocks soll den Befehl lslk(8) ersetzen, der ursprünglich von entwickelt und seit 2001 nicht mehr betreut wurde.

Die Angabe »Der Prozess, der die Sperre hält« für Leases, FLOCK-Sperren und OFD-Sperren ist ein Scheinkonzept. Sie sind mit der offenen Dateibeschreibung verknüpft, auf der sie erworben wurden. Mit fork(2) und/oder cmsg(3) können mehrere Prozesse eine offene Dateibeschreibung gemeinsam nutzen. Daher ist der Inhaberprozess eines Leases (oder einer Sperre) nicht eindeutig bestimmt. lslocks zeigt den Inhaberprozess in den Spalten BEFEHL und PID an.

Die standardmäßige Ausgabe kann sich ändern. Daher sollten Sie vermeiden, standardmäßige Ausgaben in Ihren Skripten zu verwenden, wo immer es möglich ist.

Bei OFD-Sperren kann in der PID-Spalte der Wert -1 angezeigt werden. Solche Zeilen können vom Filter nicht ausgewählt werden, da die aktuelle Filter-Engine keine negativen Zahlen unterstützt.

AUTOREN

SIEHE AUCH

flock(1), fcntl(2), lockf(3), scols-filter(5)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl lslocks ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.